Welcome to Open Carnage

A resource for Halo Custom Edition and MCC modding, with unique means of rewarding content creation and support. Have a wander to see why we're worth the time! - EST. 2012

bigblue

Sightjacker

15 posts in this topic
On 1/8/2018 at 10:35 AM, bigblue said:

That's strange then.. if I use sj_level -1 it works ok - if I use sj_level 4 the server won't even start ?? If I use sj_level -4 the server starts - but with what you're saying, I'm unsure if this is only for admins.

 

Btw I'm using sapp 10.1 - using sapp 10.2.1 doesn't appear to work on Elite Game Servers for some reason. EliteGS support have recommended using 10.1.

 

Thx giraffe for your help :)

 

From sapp 10.0 changelog:

 

 

sapp 10.2.1 does not work with wine 4.0  5.0  or 6.0

 

Yes I am also using  sapp 10.1 on linux it works fine.

you can set the 32 bit mode on linux 

sudo dpkg --add-architecture i386

but the problem is in the newer versions of wine.

wine 1.62 + wintricks was my favorite wine version.

Enclusion likes this

Share this post


Link to post
Share on other sites

Tiddy-bits:

11 minutes ago, Denn said:

sapp 10.2.1 does not work with wine 4.0  5.0  or 6.0

 

Yes I am also using  sapp 10.1 on linux it works fine.

you can set the 32 bit mode on linux 


sudo dpkg --add-architecture i386

but the problem is in the newer versions of wine.

wine 1.62 + wintricks was my favorite wine version.

 

Yeah I checked and I use 10.1.

Share this post


Link to post
Share on other sites

This is what I'm running locally on Ubuntu Linux, but I'm running the same Ubuntu, Wine, and SAPP version on the vps where I host.  It might not be the exact same kernel though it is 20.04 Ubuntu with the same 5.0 wine package, either way it works.

sapp-version.png

Share this post


Link to post
Share on other sites


Latest sapp no upx should let you use this to disable sightjacker:
sj_level 5

Can confirm it works:

In Ubuntu 18.04 using winehq-stable

In Debian 9 using Wine 5.0.3

Edited by AntiMomentum

Share this post


Link to post
Share on other sites

Adding this to the event's file works ok for level 4 admins only. 

 

event_start 'sj_level 4'

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.